Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  abstract class BCodeHelpers extends BCodeIdiomatic with BytecodeWriters
  Definition Classes
    jvm
- AsmpBytecodeWriter
- BCAnnotGen
- BCClassGen
- BCForwardersGen
- BCInnerClassGen
- BCJGenSigGen
- BCPickles
- BytecodeWriter
- CClassWriter
- ClassBytecodeWriter
- DirectToJarfileWriter
- DumpBytecodeWriter
- EnclosingMethodEntry
- InsnIterInsnList
- InsnIterMethodNode
- JAndroidBuilder
- JBeanInfoBuilder
- JCodeMethodN
- JCommonBuilder
- JMirrorBuilder
- LabelDefsFinder
- StdPhase
- delambdafyInline
- isJavaEntryPoint

t

scala.tools.nsc.backend.jvm.BCodeHelpers

# BCPickles 

###

#### trait BCPickles extends AnyRef

Source
  BCodeHelpers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
PlainBodyBuilder, JCommonBuilder, JMirrorBuilder, PlainSkelBuilder, SyncAndTryBuilder, PlainClassBuilder
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BCPickles
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from BCPickles to any2stringadd[BCPickles] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (BCPickles, B)
   Implicit
     This member is added by an implicit conversion from BCPickles to ArrowAssoc[BCPickles] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def createJAttribute(name: String, b: Array[Byte], offset: Int, len: Int): Attribute
9.  def ensuring(cond: (BCPickles) ⇒ Boolean, msg: ⇒ Any): BCPickles
   Implicit
     This member is added by an implicit conversion from BCPickles to Ensuring[BCPickles] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (BCPickles) ⇒ Boolean): BCPickles
    Implicit
      This member is added by an implicit conversion from BCPickles to Ensuring[BCPickles] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): BCPickles
    Implicit
      This member is added by an implicit conversion from BCPickles to Ensuring[BCPickles] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): BCPickles
    Implicit
      This member is added by an implicit conversion from BCPickles to Ensuring[BCPickles] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from BCPickles to StringFormat[BCPickles] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  def getAnnotPickle(jclassName: String, sym: Global.Symbol): Option[Global.AnnotationInfo]
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  def pickleMarkerForeign: Attribute
25.  def pickleMarkerLocal: Attribute
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  val versionPickle: PickleBuffer
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (BCPickles, B)
    Implicit
      This member is added by an implicit conversion from BCPickles to ArrowAssoc[BCPickles] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from BCPickles to any2stringadd[BCPickles]

### Inherited by implicit conversion StringFormat from BCPickles to StringFormat[BCPickles]

### Inherited by implicit conversion Ensuring from BCPickles to Ensuring[BCPickles]

### Inherited by implicit conversion ArrowAssoc from BCPickles to ArrowAssoc[BCPickles]

### Ungrouped